import { GridColumnOptionsViewBase } from "./GridColumnOptionsViewBase";
import { Type, PropertyChangedEventArgs } from "igniteui-webcomponents-core";
import { PinnedPositions } from "./PinnedPositions";
import { GridColumnOptionsSimpleSectionBase } from "./GridColumnOptionsSimpleSectionBase";
/**
 * @hidden
 */
export declare class GridColumnPinOptionsView extends GridColumnOptionsViewBase {
    static $t: Type;
    private y;
    private z;
    private q;
    private v;
    private u;
    private o;
    private p;
    private r;
    private s;
    private static readonly aa;
    private static readonly ab;
    private static readonly ac;
    private static readonly ad;
    private readonly n;
    private w;
    private x;
    private af;
    private t;
    private ag;
    protected k(): void;
    m(): void;
    private ae;
}
/**
 * @hidden
 */
export declare class GridColumnPinOptions extends GridColumnOptionsSimpleSectionBase {
    static $t: Type;
    constructor();
    protected f(): GridColumnOptionsViewBase;
    protected get_by(): string;
    readonly by: string;
    bq(): boolean;
    protected a5(): void;
    protected a6(a: any, b: PropertyChangedEventArgs): void;
    protected bc(a: string, b: any, c: any): void;
    private b1;
    b2: PinnedPositions;
    readonly b0: GridColumnPinOptionsView;
    private b3;
    b4: string;
    private b7;
    b8: string;
}
